> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询可用闪兑币种

> 查询可用闪兑币种。

## 概述

本页说明 `GET /transfer/open/institution/v1/pay/convert/currency` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/convert-openapi.json GET /transfer/open/institution/v1/pay/convert/currency
openapi: 3.1.0
info:
  title: GatePay 余额账户闪兑 API
  description: 提供从余额账户直接闪兑的API，避免用户需要先划转到现货账户。
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /transfer/open/institution/v1/pay/convert/currency:
    get:
      summary: 查询可用闪兑币种
      description: 查询可用闪兑币种。
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - name: side
          in: query
          required: false
          description: 交易方向，值为 "buy" 或 "sell"
          schema:
            type: string
            enum:
              - buy
              - sell
            example: sell
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrencyListResponse'
              examples:
                success:
                  summary: 成功响应
                  value:
                    status: SUCCESS
                    code: '000000'
                    errorMessage: ''
                    data:
                      currency:
                        - USDT
                        - GT
                        - HOOK
                        - ETH
                        - DOT
                        - BTC
                        - DAL
                        - LTC
                        - COS
                        - POL
                        - SOL
                        - DOGE
                        - ALGO
                        - STPT
                        - BCH
                        - SHIB
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端ID，在 GatePay 平台申请获得
      schema:
        type: string
        example: mZ96D37oKk-HrWJc
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: 请求签名，GatePay 通过此签名来确定此请求是否合法
      schema:
        type: string
        example: >-
          8504fe097f7297f8952c76e628ce59dbc93d1df64c95f26c73140ef365d4aa1471826ada0534315461682ec35c131d7e133c51d2ab0822fe7366650a111887ba
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 请求生成时的 UTC 时间戳（毫秒）
      schema:
        type: string
        example: '1740019013818'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机字符串，建议长度在 32 个字符以内
      schema:
        type: string
        example: '9722139164'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    CurrencyListResponse:
      type: object
      properties:
        status:
          type: string
          description: SUCCESS 或 FAIL
        code:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        data:
          type: object
          properties:
            currency:
              type: array
              description: 币种列表
              items:
                type: string

````